> ## Documentation Index
> Fetch the complete documentation index at: https://upstash-vector.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Signing Keys

> This endpoint rotates your signing keys.

The next key becomes the current and we generate a new one and assign it to next key.

Please update the signing keys in your applications as soon as possible.

## Response

<ResponseField name="current" type="string" required>
  Current signing key is used to sign all messages before they are sent to the destination.
</ResponseField>

<ResponseField name="next" type="string" required>
  Next signing key will be used to sign messages after you have rotated your signing keys.
</ResponseField>

<RequestExample>
  ```shell curl
  curl https://qstash.upstash.io/v1/keys/rotate \
    -H "Authorization: Bearer <token>"
  ```
</RequestExample>

<ResponseExample>
  ```json 202
  {
    "current": "sig_123",
    "next": "sig_456"
  }
  ```
</ResponseExample>
